<template>

  <div class="accordion" id="accordionExample">
    <div class="card">
      <div class="card-header" id="headingOne">
        <h2 class="mb-0">
          <button class="btn btn-block" type="button" data-toggle="collapse" data-target="#collapseOne"
            aria-expanded="true" aria-controls="collapseOne">
            <h5 class="font-weight-bold text-center text-white mt-2">
              <h5 class="font-weight-bold text-white">Main Menu</h5>
            </h5>
          </button>
        </h2>
      </div>

      <div id="collapseOne" class="collapse show" aria-labelledby="headingOne" data-parent="#accordionExample">
        <div class="card-body text-left">
          <ul class="list-group">
            <router-link :to="{ name: 'dashboard' }" class="list-group-item shadow-sm font-weight-bold text-decoration-none text-dark text-left d-inline">
              <i class="fas fa-tachometer-alt mr-2"></i> Dashboard
            </router-link>
            <router-link :to="{ name: 'order' }" class="list-group-item shadow-sm font-weight-bold text-decoration-none text-dark text-left d-inline">
              <i class="fas fa-shopping-cart mr-2"></i> My Order
            </router-link>
            <a @click="logout" style="cursor: pointer" class="list-group-item shadow-sm font-weight-bold text-decoration-none text-dark text-left d-inline">
              <i class="fas fa-sign-out-alt mr-2"></i> Logout
            </a>
          </ul>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import { useStore } from "vuex";
import { useRouter } from "vue-router";
export default {
  name: "CustomerMenuComponent",
  setup() {
    // store vuex
    const store = useStore();
    // vue router
    const router = useRouter();

    // paggil method logout di dalam module "auth"
    function logout() {
      store.dispatch("auth/logout").then(() => {
        // jika berhasil, akan di arahkan ke route login
        router.push({
          name: "login",
        });
      });
    }
    // return a state and function
    return {
      store,
      router,
      logout,
    };
  },
};
</script>

<style scoped>
.card-header {
  background: linear-gradient(90deg, #CC2B5E 0%, #753A88 100%);
  padding: 0 !important;
}
.accordion {
  padding: 0 !important;
}
button:focus {
    box-shadow: none !important;
    border-color: none !important;
}
</style>